Summary: A full-screen easy to use Usenet newsreader.
URL: http://www.tin.org
Name: tin
Version: 1.4.3
Release: 1
Copyright: distributable
Group: Applications/Internet
Source0: ftp://ftp.tin.org/pub/news/clients/tin/current/tin-%{version}.tar.gz
Source1: tin.png
BuildRoot: /var/tmp/%{name}-root
Requires: vim-common

%description
Tin is a full-screen easy to use Usenet newsreader.  Tin can read news locally
or remotely via an NNTP (Network News Transport Protocol) server.  Don't
forget set the variable $NNTPSERVER or create the /etc/nntpserver file.

Note: tin-1.4.3 is the current stable release.

%package gnome-menus
Summary: The additional files to add tin to the GNOME System menus
Group: Applications/Internet
Requires: tin

%description gnome-menus
This package links Tin to the GNOME System menus, running via an xterm window.

%prep
%setup -q

%build
./configure --verbose \
	--prefix=/usr \
	--with-libdir=/var/lib/news \
	--with-spooldir=/var/spool/news \
	--enable-nntp \
	--enable-prototypes \
	--disable-echo \
	--disable-mime-strict-charset \
	--enable-color \
	--with-ncurses \
	--enable-curses \
	--enable-locale

make clean
CFLAGS=$RPM_OPT_FLAGS make build

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_PREFIX=$RPM_BUILD_ROOT

ln -sf tin $RPM_BUILD_ROOT/usr/bin/rtin

install -d $RPM_BUILD_ROOT{/usr/share/pixmaps,/usr/share/gnome/apps/Internet}
install -m 644 $RPM_SOURCE_DIR/tin.png $RPM_BUILD_ROOT/usr/share/pixmaps

gzip $RPM_BUILD_ROOT/usr/man/man1/*
ln -sf tin.1.gz $RPM_BUILD_ROOT/usr/man/man1/rtin.1.gz

# GNOME link
cat > $RPM_BUILD_ROOT/usr/share/gnome/apps/Internet/Tin.desktop <<EOF
[Desktop Entry]
Name=Tin News Reader
Comment=Internet news reader
Exec=xterm +sb -ls -geom 100x40 -title "Tin News Reader" -e rtin 
Icon=/usr/share/pixmaps/tin.png
Terminal=false
MultipleArgs=false
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README doc/ tools/
/usr/bin/tin
/usr/bin/rtin
/usr/man/man1

%files gnome-menus
%defattr(-,root,root)
/usr/share/pixmaps/tin.png
/usr/share/gnome/apps/Internet/Tin.desktop

%changelog

* Fri May 05 2000 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
  [1.4.3-1]
- update to tin-1.4.3
- gziped manpages

* Mon Feb 14 2000 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
- update to tin-1.4.2

* Sat Jan 22 2000 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
- renamed tin-gnome package to tin-gnone-menus for a more descriptive
  package name
- corrected ncurses linking in tin.spec
- added Tin to GNOME System Menus with tin-gnome package

* Tue Dec 7 1999 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
- update to tin-1.4.1

* Mon Nov 15 1999 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
- update to tin-1.4.0
- added Tin.desktop and tin.png for GUI users

* Mon May 31 1999 Jeff Johnson <jbj@redhat.com>
- update to tinpre-1.4-19990517.
- fix libdir=/var/lib/news (#7).
- fix spooldir=/var/spool/news.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- upgraded to latest dev version snapshot.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Dec 22 1998 Preston Brown <pbrown@redhat.com>
- upgraded again to latest snapshot.

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- Alan is right; 1.22 is full of bugs and ANCIENT. Moved to latest tin.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 24 1998 Alan Cox <alan@redhat.com>
- turned on DONT_LOG_USER - get rid of the silly file in /tmp. We probably
  ought to move to a newer tin soon.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Mon Nov 3 1997 Erik Troan <ewt@redhat.com>
- hacked to use just termios, not a motley mix of termios and termio

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
